Namespace
library
Image / Tag
consul:1.15.4
Content Digest
sha256:10084bbbed746968b0b9f8edab2f8552e44f117e35b88153a5e0a3ad1e15aa1a
Details
Created

2024-03-15 23:53:47 UTC

Size

54.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:60aeec3a60ac12f63ba33495ce01db7daf3ed4c138213d85412a7fe01dbbb264 - 4.93% (2.7 MB)

[#001] sha256:4576af8d5b8bb561453a33e951182b689e97b286d55ffef3244d2aa3f52e145f - 0.0% (1.24 KB)

[#002] sha256:d23bba49a6f66e02f21c40a965cb085bb0a8fc9b4cca51bcccf5b879c362f006 - 95.06% (52.1 MB)

[#003] sha256:f954583f15f8af79fae876c5ead32018043ee2274b30276a621a000e67340bfa - 0.0% (173 Bytes)

[#004] sha256:aa5dc6939fa00fc35ae5492bfe0c7a83f742f4e46de217ff7cfd9fb048a4597c - 0.0% (154 Bytes)

[#005] sha256:fade2a559de65d923512a96e7c961ec9aeab79f11e4d1aa25b1e18e3d09cf021 - 0.0% (1.79 KB)


History
2023-12-01 02:04:00 UTC

/bin/sh -c #(nop) ADD file:5990d507b1d1b3a4a63574a2ec1c9e2ca4344d30f7618e002039cd6c9693a56d in /

2023-12-01 02:04:00 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-15 23:53:27 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.4

2024-03-15 23:53:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-15 23:53:27 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-15 23:53:28 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-15 23:53:45 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-15 23:53:46 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-15 23:53:46 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-15 23:53:46 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-15 23:53:47 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-15 23:53:47 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-15 23:53:47 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-15 23:53:47 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-15 23:53:47 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-15 23:53:47 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 08:00:34 UTC

Size

56.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d078792c4f9122259f14b539315bd92cbd9490ed73e08255a08689122b143108 - 4.8% (2.7 MB)

[#001] sha256:fbdc56b403c6cc0f6dc99d610a00c0f89b303ec0597c5a7014b55250d1039062 - 0.0% (1.24 KB)

[#002] sha256:c0e228c45cba1809891d12e966013de46529ae9f15caf901968e6261d1bebbe7 - 95.19% (53.5 MB)

[#003] sha256:d9a4cda1fc717438bcb7c3c65c00305d9391005180378058ad8b96e0fcbd8c39 - 0.0% (174 Bytes)

[#004] sha256:a23041e1d950a8c38931be8a80206d47fbc29463acaf5505315b53a25a678630 - 0.0% (154 Bytes)

[#005] sha256:27d6d74a7c1d3a6f2b1e9b2465c7dd46110a8ce67841a123d0d1f1d0dd80a325 - 0.0% (1.79 KB)


History
2023-11-30 23:23:11 UTC

/bin/sh -c #(nop) ADD file:aa1af71c6b66d2dddee4797236e3e526f70f904ab641cc0dd6b41445cfedf9b4 in /

2023-11-30 23:23:11 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 08:00:25 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.4

2024-03-16 08:00:25 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 08:00:25 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 08:00:26 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 08:00:32 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 08:00:33 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 08:00:34 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 08:00:34 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 01:08:10 UTC

Size

53.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:be5e3feadb89f4f40a3bc5997dbddd75fdc3686e938beb9d363990d92db9e4aa - 4.7% (2.51 MB)

[#001] sha256:e89c02bd02d33cbd2ed0e56250b3b96124eba8b070ab1694d05293b060469c04 - 0.0% (1.24 KB)

[#002] sha256:c99bbf378ad5f80163b09a3927843410442d51742f6cc42189db7d6bbe2ac6cd - 95.29% (50.9 MB)

[#003] sha256:3189ba98252e96f47849371e01d49efeffc2c895a7e120e8de95fc933b0fc2c3 - 0.0% (176 Bytes)

[#004] sha256:68a2d6a9519ec8ae28e1fea232b225a82ac23a582debfb470be6aacbbc93850a - 0.0% (155 Bytes)

[#005] sha256:4e91a11c29afc0f554437c86e986de507fbc14c767a02ee21e27ed55a93f76e8 - 0.0% (1.79 KB)


History
2023-11-30 22:49:27 UTC

/bin/sh -c #(nop) ADD file:2270cb7f14826bc917baa12cd1ff166703f454ccd10ef5799d8106942bb0abe2 in /

2023-11-30 22:49:27 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 01:07:44 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.4

2024-03-16 01:07:45 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 01:07:45 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 01:07:46 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 01:08:04 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 01:08:06 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 01:08:07 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 01:08:08 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 01:08:08 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 01:08:08 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 01:08:09 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 01:08:09 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 01:08:09 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 01:08:10 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 03:05:09 UTC

Size

53 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:8bc1ab4b84041d57f21a792410a00820f73fda7efe08bcd2ca6245349a40299d - 4.89% (2.6 MB)

[#001] sha256:de41e283e5ecff9ba4f165155c9b98d8905304ba751145036b182c449e099d99 - 0.0% (1.24 KB)

[#002] sha256:50782d78352e02b5e677358dee3ceae5eb33545452dbba4479798982ad1cc72c - 95.1% (50.5 MB)

[#003] sha256:1deaf4d5968c84ef7f1502ae21fced2344b486f006302cd3e71c24eb9f699565 - 0.0% (174 Bytes)

[#004] sha256:a34970a0f658bd98fa7713ffcead96df6292a1a72e975a9e5e59f59603a6f17a - 0.0% (154 Bytes)

[#005] sha256:6e1d4a65bcff321704b8a127551f4ab437068cfb7a91f8e4661d8d76d896cc32 - 0.0% (1.79 KB)


History
2023-11-30 23:11:15 UTC

/bin/sh -c #(nop) ADD file:3982c510455cc0ceea8cf8dd0b50b69588e35fd4f84522cb4000582c73781672 in /

2023-11-30 23:11:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 03:05:01 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.4

2024-03-16 03:05:01 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 03:05:01 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 03:05:01 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 03:05:07 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 03:05:08 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 03:05:08 UTC

|1 CONSUL_VERSION=1.15.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 03:05:09 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]